# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{htauth}
  s.version = "1.0.3"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Jeremy Hinegardner"]
  s.date = %q{2008-12-21}
  s.description = %q{HTAuth is a pure ruby replacement for the Apache support programs htdigest and htpasswd.  Command line and API access are provided for access to htdigest and htpasswd files.}
  s.email = %q{jeremy@copiousfreetime.org}
  s.executables = ["htdigest-ruby", "htpasswd-ruby"]
  s.extra_rdoc_files = ["README", "HISTORY", "LICENSE", "lib/htauth/algorithm.rb", "lib/htauth/crypt.rb", "lib/htauth/digest.rb", "lib/htauth/digest_entry.rb", "lib/htauth/digest_file.rb", "lib/htauth/entry.rb", "lib/htauth/file.rb", "lib/htauth/md5.rb", "lib/htauth/passwd.rb", "lib/htauth/passwd_entry.rb", "lib/htauth/passwd_file.rb", "lib/htauth/plaintext.rb", "lib/htauth/sha1.rb", "lib/htauth/version.rb", "lib/htauth.rb"]
  s.files = ["bin/htdigest-ruby", "bin/htpasswd-ruby", "lib/htauth/algorithm.rb", "lib/htauth/crypt.rb", "lib/htauth/digest.rb", "lib/htauth/digest_entry.rb", "lib/htauth/digest_file.rb", "lib/htauth/entry.rb", "lib/htauth/file.rb", "lib/htauth/md5.rb", "lib/htauth/passwd.rb", "lib/htauth/passwd_entry.rb", "lib/htauth/passwd_file.rb", "lib/htauth/plaintext.rb", "lib/htauth/sha1.rb", "lib/htauth/version.rb", "lib/htauth.rb", "spec/crypt_spec.rb", "spec/digest_entry_spec.rb", "spec/digest_file_spec.rb", "spec/digest_spec.rb", "spec/md5_spec.rb", "spec/passwd_entry_spec.rb", "spec/passwd_file_spec.rb", "spec/passwd_spec.rb", "spec/plaintext_spec.rb", "spec/sha1_spec.rb", "spec/spec_helper.rb", "README", "HISTORY", "LICENSE", "tasks/announce.rake", "tasks/distribution.rake", "tasks/documentation.rake", "tasks/rspec.rake", "tasks/rubyforge.rake", "tasks/config.rb", "tasks/utils.rb", "gemspec.rb"]
  s.homepage = %q{http://copiousfreetime.rubyforge.org/htauth}
  s.rdoc_options = ["--line-numbers", "--inline-source", "--main", "README"]
  s.require_paths = ["lib"]
  s.rubyforge_project = %q{copiousfreetime}
  s.rubygems_version = %q{1.3.5}
  s.summary = %q{HTAuth is a pure ruby replacement for the Apache support programs htdigest and htpasswd}

  if s.respond_to? :specification_version then
    current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
    s.specification_version = 2

    if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<highline>, ["~> 1.5.0"])
    else
      s.add_dependency(%q<highline>, ["~> 1.5.0"])
    end
  else
    s.add_dependency(%q<highline>, ["~> 1.5.0"])
  end
end
